× Got a CSS, HTML or webdesign question? Ask it here!

two versions of jQuery are loaded

11 months 5 days ago #18386 by KOIKE
two versions of jQuery are loaded was created by KOIKE
Hi,

I want to load two jQuery.
<script src="..../File/js/jquery-2.1.0.min.js"></script>
I want to load the above, but I will conflict

api.jquery.com/jquery.noconflict/
I would like to refer to the above, but I do not know the version of DecoNetwork.

I would like a sample of the description that loaded two jQuery with DecoNetwork.
Please help me.

Please Log in or Create an account to join the conversation.

11 months 5 days ago #18387 by ccruz
Replied by ccruz on topic two versions of jQuery are loaded
Hey Koike,

DecoNetwork loads jQuery only when logged in as admin. Our version of jQuery already runs in noConflict mode so it will not conflict with any that you embed. There are other embedded javascript libraries that your jQuery will conflict with however. You need to make sure to also run your embedded version with no conflict mode.

Examples 1,2,3 in the linked jQuery api documentation are all valid ways to access your embedded jQuery library in no conflict mode.

-Cris
The following user(s) said Thank You: KOIKE

Please Log in or Create an account to join the conversation.

11 months 4 days ago #18389 by KOIKE
Replied by KOIKE on topic two versions of jQuery are loaded
Hi ccruz!

Thank you!
Thank you, you've been so helpful.

Please Log in or Create an account to join the conversation.

11 months 4 days ago #18391 by KOIKE
Replied by KOIKE on topic two versions of jQuery are loaded
Sorry...
When I loaded DecoNetwork <script src = "/ uploads / 11421738 / File / js / jquery - 2.1.0. min.js"> </ script>, the online designer will not work. Is there a solution?

Please Log in or Create an account to join the conversation.

11 months 4 days ago - 11 months 4 days ago #18392 by brenden
Replied by brenden on topic two versions of jQuery are loaded
Hi Koike,

Maybe there is a conflict. Try adding this into the header of your site AFTER the jQuery loading script:
<script type="text/javascript"> 

</script>

Cheers,

Senior Product Manager
Wilcom - Sydney, Australia

File Attachment:


The following user(s) said Thank You: KOIKE

Please Log in or Create an account to join the conversation.

11 months 4 days ago #18393 by KOIKE
Replied by KOIKE on topic two versions of jQuery are loaded
Hi Brenden,
Thank you for your quick response.
I tried it in the way I taught, but the online designer did not work.

www.happi-rub-lab.deco-apparel.com/create_products/-?n=69048678

Thank you

Please Log in or Create an account to join the conversation.

11 months 4 days ago #18395 by ccruz
Replied by ccruz on topic two versions of jQuery are loaded
Hi Koike,

The forum is removing the javascript code from Brendens reply. Here's a screenshot from the API document showing the necessary code which you can place inside the script block.



-Cris
Attachments:
The following user(s) said Thank You: KOIKE

Please Log in or Create an account to join the conversation.

11 months 3 days ago #18397 by KOIKE
Replied by KOIKE on topic two versions of jQuery are loaded
Hi ccruz!
Thank you!
I was able to load jQuery and use online designer as well!

Thank you!

Please Log in or Create an account to join the conversation.

11 months 2 days ago #18398 by brenden
Replied by brenden on topic two versions of jQuery are loaded
Hi Koike,

I just noticed that my code was missing the noConflict. I think it is a limitation in the code display on here.

Thanks Cris for sorting it out!

Cheers,

Senior Product Manager
Wilcom - Sydney, Australia

File Attachment:


Please Log in or Create an account to join the conversation.

Time to create page: 0.981 seconds
Powered by Kunena Forum